OpenRelay is in Preview — the API is still evolving and may change without notice.
Runners

List runner pools (with active/queued usage)

GET
/v1/orgs/{orgId}/runner-pools
AuthorizationBearer <token>

OpenRelay API key. Send it as Authorization: Bearer vl_….

In: header

Path Parameters

orgId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/runner-pools"
[
  {
    "id": "string",
    "organizationId": "string",
    "name": "string",
    "githubInstallationId": 0,
    "githubOwner": "string",
    "githubOwnerType": "string",
    "poolRamGb": 0,
    "diskSizeGb": 0,
    "runtime": "string",
    "status": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "activeRunners": 0,
    "usedRamMb": 0,
    "queuedRunners": 0,
    "queuedRamMb": 0
  }
]
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}